# Runes by IDs

This endpoint is used to retrieve the metadata & market data associated with a batch of up to 10 runes, based on the runes' IDs, in a single request.

## GET /v1/runes/batch-info

> Get price info for a list of runes. The \`runeIds\`\
> &#x20;         query parameter should be a comma-separated list of Rune IDs.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Ordinals"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/runes/batch-info":{"get":{"tags":["Ordinals","Runes"],"description":"Get price info for a list of runes. The `runeIds`\n          query parameter should be a comma-separated list of Rune IDs.","parameters":[{"schema":{"minLength":1,"type":"string"},"in":"query","name":"runeIds","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"chain":{"type":"string"},"runeName":{"type":"string"},"symbol":{"type":"string"},"runeId":{"type":"string"},"spacedRuneName":{"type":"string"},"amount":{"type":"string"},"cap":{"type":"string"},"divisibility":{"nullable":true,"type":"string"},"premine":{"type":"string"},"turbo":{"type":"boolean"},"genesisBlock":{"type":"number"},"mint":{"type":"object","properties":{"offset":{"type":"object","properties":{"low":{"nullable":true,"type":"string"},"high":{"nullable":true,"type":"string"}}},"height":{"type":"object","properties":{"low":{"nullable":true,"type":"string"},"high":{"nullable":true,"type":"string"}}}},"required":["offset","height"]},"holders":{"type":"string"},"supply":{"type":"string"},"marketCap":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}},"prices":{"type":"object","properties":{"floorPrice":{"type":"object","properties":{"marketplace":{"type":"string"},"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"},"percentageChange24h":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}}},"required":["percentageChange24h"]},"lastSalePrice":{"type":"object","properties":{"marketplace":{"type":"string"},"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}}},"required":["floorPrice","lastSalePrice"]},"volume24h":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"},"percentageChange":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}}},"required":["percentageChange"]},"inscriptionId":{"type":"string"},"inscriptionRenderUrl":{"type":"string"}},"required":["chain","runeName","runeId","spacedRuneName","divisibility","turbo","genesisBlock","mint","marketCap","prices","volume24h"]}}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/runes/runes-by-ids.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
